<?php
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}


class WFACP_Compatibility_With_AutoMateWoo {
	/**
	 * @var AutomateWoo\Birthdays\Frontend
	 */

	public $field_regiessterd = false;


	public function __construct() {

		add_action( 'init', [ $this, 'init_class' ], 4 );

		add_filter( 'wfacp_advanced_fields', [ $this, 'add_birthday_add_field' ] );
		//;
		add_filter( 'wfacp_html_fields_aw_birthdays_addon', function () {
			return false;
		} );

		add_action( 'process_wfacp_html', [ $this, 'call_birthday_addon_hook' ], 10, 3 );


		/* calling the css for plugin */
		add_action( 'wfacp_internal_css', [ $this, 'amw_css_func' ], 99 );

		add_filter( 'woocommerce_form_field_args', [ $this, 'add_default_wfacp_styling' ], 10, 2 );

	}


	public function init_class() {

		if ( class_exists( 'AutomateWoo\Birthdays\Frontend' ) ) {

			$instanse = WFACP_Common::remove_actions( 'woocommerce_before_checkout_form', 'AutomateWoo\Birthdays\Frontend', 'init_checkout' );
			if ( isset( $instanse ) ) {
				$this->actives['AW_Birthdays_Addon'] = $instanse;
			}
		}
	}


	public function add_birthday_add_field( $field ) {

		if ( $this->is_enable( 'AW_Birthdays_Addon' ) ) {
			$field['aw_birthdays_addon'] = [
				'type'       => 'wfacp_html',
				'class'      => [ 'aw_birthdays_addon_wrap' ],
				'id'         => 'aw_birthdays_addon',
				'field_type' => 'advanced',
				'label'      => __( 'AW Birthday', 'woocommerce' ),
			];
		}

		return $field;
	}

	public function is_enable( $slug ) {
		if ( isset( $this->actives[ $slug ] ) ) {
			return true;
		}

		return false;
	}

	public function call_birthday_addon_hook( $field, $key, $args ) {
		if ( ! empty( $key ) && 'aw_birthdays_addon' === $key && $this->is_enable( 'AW_Birthdays_Addon' ) ) {
			AutomateWoo\Birthdays\Frontend::add_birthday_field_to_checkout_form();
		}
	}

	public function add_default_wfacp_styling( $args, $key ) {


		if ( $key == 'aw_birthdays_addon' && $this->is_enable( 'AW_Birthdays_Addon' ) ) {

			$argsclass = [];
			if ( isset( $args['class'] ) ) {
				$argsclass = $args['class'];
			}
			$all_cls = array_merge( [ 'wfacp_drop_list' ], $argsclass );

			$args['class'] = $all_cls;
		
		}

		return $args;
	}

	public function amw_css_func( $selected_template_slug ) {

		if ( ! $this->is_enable( 'AW_Birthdays_Addon' ) ) {
			return;
		}


		$instance = WFACP_Core()->customizer->get_template_instance();
		if ( is_null( $instance ) ) {
			return '';
		}


		$data = $instance->get_checkout_fields();

		if ( ! isset( $data['advanced']['aw_birthdays_addon'] ) ) {
			return;
		}

		$array_class = [
			'layout_1' => 15,
			'layout_2' => 15,
			'layout_4' => 15,
			'layout_9' => 12,
		];


		$padd_left_right = "padding: 12px 10px";
		if ( "layout_2" === $selected_template_slug ) {
			$padd_left_right = "padding: 10px 18px;";
			echo "<style>body .wfacp_main_form .automatewoo-birthday-section .automatewoo-birthday-field__select{font-size: 14px;}</style>";
		} elseif ( "layout_4" === $selected_template_slug ) {
			echo "<style>body .wfacp_main_form.woocommerce .automatewoo-birthday-section .automatewoo-birthday-field__select{padding: 12px 8px;}</style>";
		}


		?>
        <style>
            /* Automate field styling */

            <?php
            if ( isset( $array_class[ $selected_template_slug ] ) ) {
                printf("body .wfacp_main_form .wfacp-row .automatewoo-birthday-section{ padding: 0 %spx;}",$array_class[ $selected_template_slug ] );
            }
            ?>
            body .wfacp_main_form .wfacp-row .automatewoo-birthday-section {
                margin: 0 0 15px;
                clear: both;
            }

            body .wfacp_main_form .automatewoo-birthday-section .automatewoo-birthday-field {
                margin: 0 0 4px;
                max-width: 100%;
            }

            body .wfacp_main_form .automatewoo-birthday-section .automatewoo-birthday-section__description,
            body .wfacp_main_form .automatewoo-birthday-section .automatewoo-birthday-section__already-set-text {
                font-size: 12px;
                line-height: 1.5;
            }

            body .wfacp_main_form .automatewoo-birthday-section .automatewoo-birthday-field__select {
                height: auto;
            <?php echo $padd_left_right; ?>

            }

            body .wfacp_main_form .wfacp-row .automatewoo-birthday-section > label {
                font-weight: normal;
            }

            @media (max-width: 767px) {
                body .wfacp_main_form .automatewoo-birthday-section .automatewoo-birthday-field__select {
                    padding: 12px 8px;
                }
            }
        </style>
		<?php
	}
}

WFACP_Plugin_Compatibilities::register( new WFACP_Compatibility_With_AutoMateWoo(), 'amw' );
